org.faceless.pdf2.viewer2.feature

## Class ContinuousPageView

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.ToggleViewerWidget
      - - org.faceless.pdf2.viewer2.feature.ContinuousPageView

- All Implemented Interfaces:
    DocumentPanelListener

      public class ContinuousPageView
      extends ToggleViewerWidget
      implements DocumentPanelListener

  This Widget changes the `DocumentViewport` of the current `DocumentPanel` to a `MultiPageDocumentViewport`. The name of this feature is OneColumn

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContinuousPageView()` Create a new ContinuousPageView object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(ViewerEvent event)` Toggle the active state of this widget by calling `ToggleViewerWidget.setSelected(boolean)`
    `void` | `documentUpdated(DocumentPanelEvent event)` Called when an `DocumentPanelEvent` is raised
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer
    `protected void` | `updateViewport(DocumentViewport vp, boolean selected)` Called from `ToggleViewerWidget.setSelected(boolean)`, this method is called in each viewport in use by the `PDFViewer` or `DocumentPanel` so it can update its status.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ToggleViewerWidget

      `getGroupName, getGroupOwner, getGroupSelection, getWidgets, isSelected, setGroupOwner, setSelected`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `createActionListener, getComponent, getIcon, getViewer, isButtonEnabledByDefault, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContinuousPageView

          public ContinuousPageView()

      Create a new ContinuousPageView object

  - ### Method Detail

    - #### updateViewport

          protected void updateViewport(DocumentViewport vp,
                                        boolean selected)

      Description copied from class: `ToggleViewerWidget`
      Called from `ToggleViewerWidget.setSelected(boolean)`, this method is called in each viewport in use by the `PDFViewer` or `DocumentPanel` so it can update its status. By default it is a no-op.
      Overrides:
        `updateViewport` in class `ToggleViewerWidget`

    - #### action

          public void action(ViewerEvent event)

      Description copied from class: `ToggleViewerWidget`
      Toggle the active state of this widget by calling `ToggleViewerWidget.setSelected(boolean)`
      Overrides:
        `action` in class `ToggleViewerWidget`

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `ToggleViewerWidget`

    - #### documentUpdated

          public void documentUpdated(DocumentPanelEvent event)

      Description copied from interface: `DocumentPanelListener`
      Called when an `DocumentPanelEvent` is raised
      Specified by:
        `documentUpdated` in interface `DocumentPanelListener`

Copyright © 2001-2015 Big Faceless Organization